//
//  AnimationView.h
//  AnimationAcceleration
//
//  Created by Matt Gallagher on 7/09/08.
//  Copyright 2008 Matt Gallagher. All rights reserved.
//
//  Permission is given to use this source code file without charge in any
//  project, commercial or otherwise, entirely at your risk, with the condition
//  that any redistribution (in part or whole) of source code must retain
//  this copyright and permission notice. Attribution in compiled projects is
//  appreciated but not required.
//

#import <Cocoa/Cocoa.h>
#import "AccelerationAnimation.h"

@class CircleView;

@interface AnimationView : NSView
{
	CircleView *linearDot;
	CircleView *acceleratedDot;
	NSArray *configurations;
	NSDictionary *currentConfiguration;
	CAMediaTimingFunction *function;
}

- (NSPoint)originPoint;
- (NSPoint)maxXPoint;
- (NSPoint)maxYPoint;
- (NSPoint)overshootYPoint;
- (void)startAnimations;

@end
